Gentoo Archives: gentoo-pms

From: Christian Faulhammer <fauli@g.o>
To: gentoo-pms@l.g.o
Subject: Re: [gentoo-pms] Bash features
Date: Sat, 09 Jan 2010 16:12:52
In Reply to: Re: [gentoo-pms] Bash features by Ulrich Mueller

Ulrich Mueller <ulm@g.o>:

> >>>>> On Sat, 9 Jan 2010, Ciaran McCreesh wrote: > > > On Sat, 9 Jan 2010 00:42:01 +0100 > > Christian Faulhammer <fauli@g.o> wrote: > >> as I now learnt, Bash 3.2 vanilla is not enough for some eclasses > >> to run. Patchlevel 48 is needed. > > What eclasses are this? _p48 isn't marked as stable.
So it is another patch level, but vanilla Bash 3.2 won't work with python.eclass at different positions (mostly if conditions, can't tell what part exactly).
> >> Should we tighten the version string for Bash? > > I don't think there's a need for this, as the patches are only > bugfixes.
Sure, but the tree is hit by a needed bug fix. I researched a lot, because I bootstrapped with vanilla 3.2 and did not accuse it of the failures I saw. Maybe something like "the latest available" is doable. V-Li -- Christian Faulhammer, Gentoo Lisp project <URL:>, #gentoo-lisp on FreeNode <URL:>


File name MIME type
signature.asc application/pgp-signature